curl --request POST \
--url https://api.olostep.com/v1/monitors/{monitor_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"frequency": "<string>",
"metadata": {},
"notification": {
"events": [],
"channels": [
{
"target": "<string>",
"events": []
}
]
},
"webhook": {
"url": "<string>"
}
}
'import requests
url = "https://api.olostep.com/v1/monitors/{monitor_id}"
payload = {
"frequency": "<string>",
"metadata": {},
"notification": {
"events": [],
"channels": [
{
"target": "<string>",
"events": []
}
]
},
"webhook": { "url": "<string>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
frequency: '<string>',
metadata: {},
notification: {events: [], channels: [{target: '<string>', events: []}]},
webhook: {url: '<string>'}
})
};
fetch('https://api.olostep.com/v1/monitors/{monitor_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "monitor",
"query": "<string>",
"tracked": {
"type": "<string>",
"urls": [
"<string>"
],
"web_query": "<string>"
},
"source_policy": {
"include_urls": [
"<string>"
],
"exclude_urls": [
"<string>"
],
"include_domains": [
"<string>"
],
"exclude_domains": [
"<string>"
]
},
"schedule": {
"frequency": "<string>",
"cron": "<string>",
"timezone": "UTC",
"next_run_at": "2023-11-07T05:31:56Z"
},
"notification": {
"events": [
"changed"
],
"channels": [
{
"type": "email",
"target": "<string>",
"events": [
"changed"
]
}
]
},
"webhook": {
"url": "<string>"
},
"output_schema": {},
"status": "provisioning",
"error_message": "<string>",
"last_run": {
"id": "<string>",
"status": "completed",
"change_detected": true,
"ran_at": "2023-11-07T05:31:56Z"
},
"agent": {
"id": "<string>"
},
"metadata": {},
"created": 123,
"updated": 123,
"total_count": 123,
"mermaid_diagram": "<string>"
}{
"error": "<string>",
"monitor_id": "<string>"
}{
"error": "<string>",
"monitor_id": "<string>"
}Monitor aktualisieren
Aktualisiert Frequenz, Metadaten, Benachrichtigung und/oder Webhook. Frequenzänderungen erstellen den Zeitplan neu. Gibt 409 zurück, während der Status in Bereitstellung ist.
"" gesetzte Schlüssel werden gelöscht.Autorisierungen
Bearer-Authentifizierungsheader in der Form Bearer , wobei dein Authentifizierungstoken ist.
Pfadparameter
^monitor_Body
Natürlichsprachiger Zeitplantext. Erstellt den internen Zeitplan neu.
Wird mit vorhandenen Metadaten zusammengeführt; leere Zeichenfolgenwerte löschen Schlüssel.
Show child attributes
Show child attributes
Übergebe null, um den Webhook zu entfernen.
Show child attributes
Show child attributes
Antwort
Monitor aktualisiert.
Eindeutiger Monitor-Identifikator (monitor_…).
"monitor"
Überwachungsabsicht in natürlicher Sprache.
Aufgelöste Ziele, die der Monitor nach Abschluss der Planung verfolgt.
Show child attributes
Show child attributes
Optionale URL-/Domain-Zulassungs- und Sperrlisten, die während der Planung und Ausführung angewendet werden.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Optionales JSON-Schema für strukturierten Extraktionsausgabe.
Überwache den Lebenszyklusstatus.
provisioning, active, paused, failed, deleted Vorhanden, wenn status failed ist.
Neueste Snapshot-Zusammenfassung. Enthalten bei GET /v1/monitors/{monitor_id}.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Unix-Zeitstempel (Sekunden).
Unix-Zeitstempel (Sekunden).
Gesamte Snapshot-Anzahl. Enthalten bei GET /v1/monitors/{monitor_id}, es sei denn include_total_count=false.
Mermaid-Flussdiagramm des Monitor-DAG. Enthalten, wenn include-diagram=true bei Abruf.
War diese Seite hilfreich?